Module | Ferret
In: | lib/ferret/document.rb lib/ferret/index.rb lib/ferret_version.rb ext/r_index.c ext/r_analysis.c ext/r_utils.c ext/r_search.c ext/r_qparser.c ext/r_store.c ext/ferret.c

Document-module: Ferret

See the README

### Methods

locale locale=

### Classes and Modules

Module Ferret::Analysis
Module Ferret::BoostMixin
Module Ferret::Browser
Module Ferret::Index
Module Ferret::QueryParser
Module Ferret::Search
Module Ferret::Store
Module Ferret::Utils
Class Ferret::Document
Class Ferret::Field
Class Ferret::FileNotFoundError
Class Ferret::ParseError
Class Ferret::QueryParser
Class Ferret::StateError

### Constants

I | = | Index::Index
VERSION | = | '0.11.6'
OBJECT_SPACE | = | object_space
EXCEPTION_MAP | = | error_map
FIX_INT_MAX | = | INT2FIX(INT_MAX >> 1)

### Public Class methods

Ferret.locale → locale_str

Returns a string corresponding to the locale set. For example;

       puts Ferret.locale #=> "en_US.UTF-8"

Ferret.locale = "en_US.UTF-8"

Set the global locale. You should use this method to set different locales when indexing documents with different encodings.

[Validate]